Skip to main content
POST
/
api
/
ap2
/
execute
Execute a payment against an AP2 mandate
curl --request POST \
  --url https://mag3nt.com/api/ap2/execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "card_id": "<string>",
  "card_token": "<string>",
  "amount": 123,
  "mandate_id": "<string>"
}
'
{
  "success": true,
  "transaction_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mag3nt.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Session token from POST /api/auth/verify

Body

application/json
card_id
string
required
card_token
string
required
amount
number
required
mandate_id
string

Response

200 - application/json

Payment executed

success
boolean
transaction_id
string